
ctcp 100:ident:?: {
  if (%sw.ctcpserv == on) {
    if ($2 == $null) halt
    if ($comchan($nick,0) < 1) { -notice $nick For ctcp request, you have to join one of channels I am in | goto end }
    if ($3) %ctserv.nick = $3 | else %ctserv.nick = $nick | %ctserv.pass = $readini $n.prof %ctserv.nick pass
    if (%ctserv.pass != $2) { -notice $nick Incorrect Password! | goto end } | %ctserv.level = $readini $n.prof %ctserv.nick level
    if (%ctserv.level < 400) { -notice $nick You have no access level to this service! | goto end }
    %ctserv.host = $readini $n.prof %ctserv.nick host | writeini $n.prof %ctserv.nick host %ctserv.host $_address($nick)
    %ctserv.tmp = $readini $n.prof $gettok(%ctserv.host,1,32) channels | writeini $n.prof $_address($nick) channels %ctserv.tmp
    %ctserv.tmp = $readini $n.prof $gettok(%ctserv.host,1,32) name | writeini $n.prof $_address($nick) name %ctserv.tmp
    -notice $nick Host Added: $_address($nick) to your nick %ctserv.nick
  }
  else { secho $nick tried ctcp request of $sch(ident) but your ctcp service is $sch(Off) $+ . To toggle it, press $sch(F4) | -notice $nick Sorry my ctcp service is off }
  :end | unset %ctserv.* 
}
ctcp 400:channels:?: {
  if (%sw.ctcpserv == on) {
    %ctserv.adr = $gadr($nick) | %ctserv.chan = $readini $n.prof %ctserv.adr channels
    if (%ctserv.chan) -notice $nick You are registered for %ctserv.chan | else -notice $nick No records for you!
  }
  else { secho $nick tried ctcp request of $sch(channels) but your ctcp service is $sch(off) $+ . To toggle it, press $sch(F4) | -notice $nick Sorry my ctcp service is off }
  :end | unset %ctserv.*
}
ctcp 400:pass:?: {
  if (%sw.ctcpserv == on) {
    if ($2 == $null) halt
    if ($comchan($nick,0) < 1) { -notice $nick For ctcp request, you have to join one of channels I am in | goto end }
    %ctserv.adr = $gadr($nick) | %ctserv.nick = $readini $n.prof %ctserv.adr name | %ctserv.pass = $readini $n.prof %ctserv.nick pass
    if (%ctserv.pass) { -notice $nick You already have a pass set. | goto end } | else { writeini $n.prof %ctserv.nick pass $2 | -notice $nick Password set to $2 }
  }
  else { secho $nick tried ctcp request of $sch(pass) but your ctcp service is $sch(off) $+ . To toggle it, press $sch(F4) | -notice $nick Sorry my ctcp service is off }
  :end | unset %ctserv.*
}
ctcp 400:newpass:?: {
  if (%sw.ctcpserv == on) {
    if ($2 == $null) halt
    if ($comchan($nick,0) < 1) { -notice $nick For ctcp request, you have to join one of channels I am in | goto end }
    %ctserv.adr = $gadr($nick) | %ctserv.nick = $readini $n.prof %ctserv.adr name | %ctserv.pass = $readini $n.prof %ctserv.nick pass
    if ((%ctserv.pass == $null) && (%ctserv.pass != $2)) { -notice $nick Incorrect Password! | goto end }
    else { writeini $n.prof %ctserv.nick pass $3 | -notice $nick Password set to $3 }
  }
  else { secho $nick tried ctcp request of $sch(newpass) but your ctcp service is $sch(off) $+ . To toggle it, press $sch(F4) | -notice $nick Sorry my ctcp service is off }
  :end | unset %ctserv.*
}
ctcp 400:op:?: {
  if (%sw.ctcpserv == on) {
    if ($3 == $null) halt
    if ($me !isop $3) { -notice $nick I am not a channel operator in $3 | halt }
    if ($nick !ison $3) { -notice $nick For ctcp op request, you have to join the channel | halt }
    %ctserv.adr = $gadr($nick) | %ctserv.nick = $readini $n.prof %ctserv.adr name | %ctserv.pass = $readini $n.prof %ctserv.nick pass
    if ((%ctserv.pass == $null) && (%ctserv.pass != $2)) { -notice $nick Incorrect Password! | goto end }
    else { %ctserv.chan = $readini $n.prof %ctserv.adr channels | if ((%ctserv.chan == all) || ($3 isin %ctserv.chan)) mode $3 +o $nick | else -notice $nick Sorry There is no channel record of $3 for you. }
  }
  else { secho $nick tried ctcp request of $sch(op) but your ctcp service is $sch(off) $+ . To toggle it, press $sch(F4) | -notice $nick Sorry my ctcp service is off }
  :end | unset %ctserv.*
}
ctcp 100:help:?: {
  if (%sw.ctcpserv == on) {
    if ($comchan($nick,0) < 1) { -notice $nick For ctcp request, you have to join one of channels I am in | goto end }
    if ($2) {
      %ctserv.topic = $readini $mircdirscripts\data\cthelp.ini $2 help
      if (%ctserv.topic) -notice $nick  $+ $upper($2) $+  %ctserv.topic
      else -notice $nick No help available on that topic
    }
    else -notice $nick For an individual topic, type /ctcp $me help <topic> Topics available are ident, pass, newpass, channels, op, unban (cf. Unban is for protected user only)
  }
  else { secho $nick tried ctcp request of $sch(help) but your ctcp service is $sch(off) $+ . To toggle it, press $sch(F4) | -notice $nick Sorry my ctcp service is off }
  :end | unset %ctserv.*
}
ctcp 500:unban:?: {
  if (%sw.ctcpserv == on) {
    if ($2) {
      if ($me !isop $2) { -notice $nick I am not a channel operator in $2 | goto end }
      unset %unban.ctserv* | %unban.ctserv.nick = $nick | %unban.ctserv.chan = $2 | %unban.ctserv.adr = $nick $+ ! $+ $address | %unban.ctserv = on | mode $2 +b
    }
    else -notice $nick Syntax: /ctcp $me unban <#channel>
  }
  else { secho $nick tried ctcp request of $sch(unban) but your ctcp service is $sch(off) $+ . To toggle it, press $sch(F4) | -notice $nick Sorry my ctcp service is off }
  :end 
}
