
alias _my.mode dialog -m mymode mymode
dialog mymode {
  title "My User Mode"
  size -1 -1 400 100
  box "Default", 1, 10 10 120 80
  check "+i invisible", 2, 20 25 100 18
  check "+w wall op", 3, 20 45 100 18
  check "+s server notice", 4, 20 65 100 18
  box "Current", 5, 140 10 100 80
  check "+i", 6, 150 25 50 18
  check "+w", 7, 150 45 50 18
  check "+s", 8, 150 65 50 18
  button "Apply", 200, 340 15 50 25, ok
  button "Cancel", 201, 340 55 50 25, cancel
}
on *:dialog:mymode:init:*: {
  if (i isin %sw.umode) did -c mymode 2 | if (w isin %sw.umode) did -c mymode 3 | if (s isin %sw.umode) did -c mymode 4
  if (i isin $usermode) did -c mymode 6 | if (w isin $usermode) did -c mymode 7 | if (s isin $usermode) did -c mymode 8
}
on *:dialog:mymode:sclick:200: {
  %sw.umode = + | if ($did(2).state == 1) %sw.umode = %sw.umode $+ i | if ($did(3).state == 1) %sw.umode = %sw.umode $+ w | if ($did(4).state == 1) %sw.umode = %sw.umode $+ s
  unset %tmp* | if ($did(6).state == 1) %tmp1 = i | else %tmp2 = i | if ($did(7).state == 1) %tmp1 = %tmp1 $+ w | else %tmp2 = %tmp2 $+ w | if ($did(8).state == 1) %tmp1 = %tmp1 $+ s | else %tmp2 = %tmp2 $+ s
  mode $me + $+ %tmp1 $+ - $+ %tmp2 | unset %tmp*
}
alias _ignore {
  tokenize 32 $1- | if ($2) %ignor.mask = $1 $+ ! $+ $2 | elseif ($address($1,5)) %ignor.mask = $address($1,5) 
  else { _err Error: Cannot find the target info. Try popup either from Query window or Nickname list in channel window. | halt } | dialog -m ignr ignr
}
dialog ignr {
  title "Ignore Control"
  size -1 -1 350 300
  text "", 1, 10 10 330 15
  text "Host:", 2, 20 30 30 15
  combo 3, 55 28 280 150, drop edit
  box "Options", 4, 10 55 330 195
  check "Private Msgs", 5, 20 70 100 20
  check "Notices", 6, 20 90 100 20
  check "Ctcps", 7, 20 110 100 20
  check "Invites", 8, 20 130 100 20
  check "Control codes(text shown as strip)", 9, 20 150 200 20
  check "Channel", 10, 20 170 100 20
  check "All but channel", 11, 175 70 120 30, push
  check "Unignore after", 12, 20 210 90 20
  combo 13, 120 210 100 150, drop disable
  button "Apply", 200, 115 260 50 30, ok default
  button "Cancel", 201, 185 260 50 30, cancel
}
on *:dialog:ignr:init:*: {
  did -a ignr 1 Ignoring... $gettok(%ignor.mask,1,33) | %ignor.i = 1
  :1 | if (%ignor.i <= 9) { did -a ignr 3 $mask(%ignor.mask,%ignor.i) | inc %ignor.i | goto 1 } | did -c ignr 3 3
  did -a ignr 13 30 mins | did -a ignr 13 1 hour | did -a ignr 13 3 hours | did -a ignr 13 1 day | did -c ignr 13 1 | unset %ignor.*
}
on *:dialog:ignr:sclick:11: if ($did(11).state == 1) _didsw -b ignr 5-10 | else _didsw -e ignr 5-10
on *:dialog:ignr:sclick:12: if ($did(12).state == 1) did -e ignr 13 | else did -b ignr 13
on *:dialog:ignr:sclick:201:unset %ignor.*
on *:dialog:ignr:sclick:200: {
  if ($did(3) == $null) { beep 1 | .timer 1 0 _err There is no hostmask specified for ignore... | halt }
  unset %ignor.* | if ($did(11).state == 1) %ignor.tot = pntik
  else {
    if ($did(5).state == 1) %ignor.tot = %ignor.tot $+ p | if ($did(6).state == 1) %ignor.tot = %ignor.tot $+ n | if ($did(7).state == 1) %ignor.tot = %ignor.tot $+ t
    if ($did(8).state == 1) %ignor.tot = %ignor.tot $+ i | if ($did(9).state == 1) %ignor.tot = %ignor.tot $+ k | if ($did(10).state == 1) %ignor.tot = %ignor.tot $+ c
  }
  if (%ignor.tot == $null) { beep 1 | .timer 1 0 _err There is no flags specified for ignore. Select from option | unset %ignor.* | halt }
  %ignor.tot = - $+ %ignor.tot | if ($did(12).state == 1) { if ($did(13).sel == 1) %ignor.t = 1800 | elseif ($did(13).sel == 2) %ignor.t = 3600 | elseif ($did(13).sel == 3) %ignor.t = 3600 * 3 | else %ignor.t = 3600 * 24 | %ignor.tot = %ignor.tot $+ u $+ %ignor.t } | ignore %ignor.tot $did(3) | unset %ignor.*
}
alias un.ignore {
  tokenize 32 $1- | unset %ignor.* | if ($2) %ignor.mask = $1 $+ ! $+ $2 | elseif ($address($1,5)) %ignor.mask = $address($1,5) | else { _err Error: Sorry. Cannot find the target info. Try Alt+O and go to irc -> control -> ignore and delete wished lines from there. | halt } | %ignor.i = 1
  :1 | %ignor.tmp = $ignore(%ignor.i) | if (%ignor.tmp) { if (%ignor.tmp iswm %ignor.mask) { ignore -r %ignor.tmp | %ignor.did = on } | inc %ignor.i | goto 1 } | if (%ignor.did) secho Removed $sch($1) from Ignore list... | else secho $sch(No match) in your ignore list... | unset %ignor.*
}
alias _notify {
  tokenize 32 $1- | if ($2) %notif.mask = $1 $+ ! $+ $2 | elseif ($address($1,5)) %notif.mask = $address($1,5) | else { _err Error: Cannot find the target info. Try popup either from Query window or Nickname list in channel window. | halt }
  dialog -m notif notif
}
dialog notif {
  title "Notify Control"
  size -1 -1 350 250
  text "Nick:", 1, 20 10 30 15
  edit "", 2, 60 8 100 22, autohs
  text "Address?", 3, 20 50 50 15
  combo 4, 20 70 310 150, drop edit
  box "Note:", 5, 20 100 310 50
  edit "", 6, 30 120 290 22, autohs
  check "Perform /Whois", 7, 20 150 100 40
  box "", 8, -10 35 370 160
  button "Apply", 200, 115 210 50 30, ok default
  button "Cancel", 201, 185 210 50 30, cancel
}
on *:dialog:notif:init:*: {
  did -a notif 2 $gettok(%notif.mask,1,33) | did -a notif 4 None | %notif.i = 1
  :1 | if (%notif.i <= 9) { %notif.tmp = $mask(%notif.mask,%notif.i) | did -a notif 4 %notif.tmp | inc %notif.i | goto 1 }
  did -c notif 4 1 | unset %notif.*
}
on *:dialog:notif:sclick:201:unset %notif.*
on *:dialog:notif:sclick:200: {
  unset %notif.* | if ($did(2) == $null) { .timer 1 0 _err You haven't specified nickname | halt } | %notif.nick = $did(2)
  if ($did(6)) %notif.note = $did(6) | if ($did(4) != none) %notif.note = $did(4) %notif.note
  if ($did(7).state == 1) %notif.nick = + $+ %notif.nick | .notify -r %notif.nick | notify %notif.nick %notif.note | unset %notif.*
}
alias _ncl dialog -m ncl ncl
dialog ncl {
  title "Nickname List Color Configure"
  size -1 -1 400 300
  text "Yourself", 1, 20 50 60 15
  text "IRCop", 2, 20 80 60 15
  text "Away", 3, 20 110 60 15
  text "Op", 4, 20 140 60 15
  text "Voice", 5, 20 170 60 15
  text "Normal", 6, 20 200 60 15
  icon 7, 130 50 20 20
  text "", 8, 130 50 50 20, hide
  icon 9, 130 80 20 20
  text "", 10, 130 80 50 20, hide
  icon 11, 130 110 20 20
  text "", 12, 130 110 50 20, hide
  icon 13, 130 140 20 20
  text "", 14, 130 140 50 20, hide
  icon 15, 130 170 20 20
  text "", 16, 130 170 50 20, hide
  icon 17, 130 200 20 20
  text "", 18, 130 200 50 20, hide
  box "", 19, -10 30 420 200
  text "Click to choose colors", 20, 10 10 150 15
  text "Protected User", 21, 220 50 60 15
  text "Auto Op", 22, 220 80 60 15
  text "Auto Voice", 23, 220 110 60 15
  text "Enemy", 24, 220 140 60 15
  icon 25, 330 50 20 20
  text "", 26, 330 50 50 20, hide
  icon 27, 330 80 20 20
  text "", 28, 330 80 50 20, hide
  icon 29, 330 110 20 20
  text "", 30, 330 110 50 20, hide
  icon 31, 330 140 20 20
  text "", 32, 330 140 50 20, hide
  check "Disable all nicklist colors", 33, 220 180 150 30, push
  button "Apply", 200, 140 260 50 30, ok default
  button "Cancel", 201, 210 260 50 30, cancel
}
on *:dialog:ncl:init:*: {
  did -g ncl 7 $_bmpdir $+ %_coln.m $+ .bmp | did -a ncl 8 %_coln.m
  did -g ncl 9 $_bmpdir $+ %_coln.c $+ .bmp | did -a ncl 10 %_coln.c
  did -g ncl 11 $_bmpdir $+ %_coln.g $+ .bmp | did -a ncl 12 %_coln.g
  did -g ncl 13 $_bmpdir $+ %_coln.o $+ .bmp | did -a ncl 14 %_coln.o
  did -g ncl 15 $_bmpdir $+ %_coln.v $+ .bmp | did -a ncl 16 %_coln.v
  did -g ncl 17 $_bmpdir $+ %_coln.h $+ .bmp | did -a ncl 18 %_coln.h
  did -g ncl 25 $_bmpdir $+ %_coln.p $+ .bmp | did -a ncl 26 %_coln.p
  did -g ncl 27 $_bmpdir $+ %_coln.ao $+ .bmp | did -a ncl 28 %_coln.ao
  did -g ncl 29 $_bmpdir $+ %_coln.av $+ .bmp | did -a ncl 30 %_coln.av
  did -g ncl 31 $_bmpdir $+ %_coln.e $+ .bmp | did -a ncl 32 %_coln.e
  if (%sw.nckcol != on) { did -c ncl 33 | _didsw -b ncl 1-18 21-32 }
}
on *:dialog:ncl:sclick:7:%coloring.idx = ncl 7 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:9:%coloring.idx = ncl 9 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:11:%coloring.idx = ncl 11 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:13:%coloring.idx = ncl 13 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:15:%coloring.idx = ncl 15 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:17:%coloring.idx = ncl 17 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:25:%coloring.idx = ncl 25 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:27:%coloring.idx = ncl 27 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:29:%coloring.idx = ncl 29 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:31:%coloring.idx = ncl 31 | .timer 1 0 ncl.cl
on *:dialog:ncl:sclick:33:if ($did(33).state == 1) _didsw -b ncl 1-18 21-32 | else _didsw -e ncl 1-18 21-32
on *:dialog:ncl:sclick:201:unset %ncl.* %coloring.*
on *:dialog:ncl:sclick:200: {
  if ($did(33).state != 1) %sw.nckcol = on | else %sw.nckcol = off
  %_coln.m = $did(8) | %_coln.c = $did(10) | %_coln.g = $did(12) | %_coln.o = $did(14) | %_coln.v = $did(16) | %_coln.h = $did(18) 
  %_coln.p = $did(26) | %_coln.ao = $did(28) | %_coln.av = $did(30) | %_coln.e = $did(32) 
  if (%sw.nckcol == on) { .timer 1 0 /colour listbox text %_coln.h | _ncl.up }
  elseif ($chan(0) > 0) {
    %i = 1 | unset %coloring.ch %raw.hltname 
    :1 | if ($chan(%i)) { %coloring.ch = %coloring.ch $chan(%i) | inc %i | goto 1 } | %raw.hltname = on | .raw -q names $replace(%coloring.ch,$chr(32),$chr(44))
  }
  unset %coloring.* %i
}
alias ncl.cl dialog -mdo ncl.cl ncl.cl
dialog ncl.cl {
  title "Pick One"
  size -1 -1 166 46
  icon 1, 3 3 20 20, scripts\bmps\0.bmp
  icon 2, 23 3 20 20, scripts\bmps\1.bmp
  icon 3, 43 3 20 20, scripts\bmps\2.bmp
  icon 4, 63 3 20 20, scripts\bmps\3.bmp
  icon 5, 83 3 20 20, scripts\bmps\4.bmp
  icon 6, 103 3 20 20, scripts\bmps\5.bmp
  icon 7, 123 3 20 20, scripts\bmps\6.bmp
  icon 8, 143 3 20 20, scripts\bmps\7.bmp
  icon 9, 3 23 20 20, scripts\bmps\8.bmp
  icon 10, 23 23 20 20, scripts\bmps\9.bmp
  icon 11, 43 23 20 20, scripts\bmps\10.bmp
  icon 12, 63 23 20 20, scripts\bmps\11.bmp
  icon 13, 83 23 20 20, scripts\bmps\12.bmp
  icon 14, 103 23 20 20, scripts\bmps\13.bmp
  icon 15, 123 23 20 20, scripts\bmps\14.bmp
  icon 16, 143 23 20 20, scripts\bmps\15.bmp
  button "ok", 200, 10 10 10 10, ok hide
}
on *:dialog:ncl.cl:sclick:*: {
  %coloring.num = $did - 1 | %coloring.pick = $_bmpdir $+ %coloring.num $+ .bmp
  did -g %coloring.idx %coloring.pick | %coloring.tmp = $gettok(%coloring.idx,2,32) | inc %coloring.tmp
  did -ra $gettok(%coloring.idx,1,32) %coloring.tmp %coloring.num | unset %coloring.* | dialog -x ncl.cl
}
alias _ncl.up {
  unset %tmp* | %i = 1
  :1 | %tmp1 = $chan(%i) | if (%tmp1) { cline %_coln.m %tmp1 $me | %tmpch = %tmpch $+ $chr(44) $+ %tmp1 | inc %i | goto 1 }
  %tmpch = $_dr.1(%tmpch) | .quote who %tmpch | unset %i %tmp*
}
alias about.sparrow dialog -m _about _about
dialog _about {
  title "About [ jETIN SpeCial pt ]"
  size -1 -1 1 1
  text "", 1, 10 20 150 15 
  button "Copyright  1999 SpinoC All rights reserved", 2, 10 60 280 50, center
  text "Website:", 3, 10 134 50 15
  edit "http://welcome.to/jetin", 4, 60 130 150 22, autohs read
  button "Visit!", 5, 220 130 50 22, center
  edit "", 6, 10 160 280 80, read multi return autohs autovs
  box "", 7, -10 40 320 210
  button "Close", 200, 120 260 60 30, ok
}
on *:dialog:_about:init:*: {
  did -o _about 6 1 Credits: | did -o _about 6 2 Peace & Protection 4.0 beta by pai for several ideas 
  did -o _about 6 3 ircN 6.0+ by ircN Team for Portscan Code | did -o _about 6 4 Addon dict+ for mIRC 5.5+ by n-a | did -o _about 6 5 Authors of win utils included are as appear on the programs | did -a _about 1 [ jETIN SpeCial pt ] $_spar-ver by SpinoC
  %.anim._i = 0 | .timer_anim -m 0 1 _about.anim
}
on *:dialog:_about:sclick:2:.timer 1 0 _err Using more than 100 lines from this script is considered stealing script whether modified or not. You can use any less than 100 lines of this script, but must give me a credit. I do not allow anyone to translate this script to any language!
on *:dialog:_about:sclick:5:.run http://welcome.to/jetin
alias _about.anim {
  if (($dialog(_about) == $null) || (%.anim._i > 150)) { .timer_anim off | unset %.anim.tmp* %.anim._i | return }
  :1 | %.anim.tmpx = $calc(($window(-1).w / 2) - %.anim._i) | %.anim.tmpy = $calc(($window(-1).h / 2) - %.anim._i) | %.anim.tmpw = $calc(%.anim._i * 2) | %.anim.tmph = $calc(%.anim._i * 2)
  dialog -s _about %.anim.tmpx %.anim.tmpy %.anim.tmpw %.anim.tmph | inc %.anim._i 5
}
alias _dlgkb tokenize 32 $1- | %_dlgkb.ch = $1 | %_dlgkb.nk = $2 | %_dlgkb.ban = $3 | dialog -m dlgkb dlgkb
dialog dlgkb {
  title "Kick/Ban"
  size -1 -1 400 150
  text "", 1, 10 5 200 15
  text "Reason", 2, 10 38 50 15
  edit "", 3, 60 35 310 22, autohs
  check "Ban also!", 4, 10 65 100 20
  check "Temp Ban", 5, 120 65 70 20, disable
  combo 6, 200 65 80 150, drop disable
  text "mins", 7, 290 67 50 15, disable
  box "", 8, -10 20 420 80
  button "Apply", 200, 140 110 50 30, ok default
  button "Cancel", 201, 210 110 50 30, cancel
}
on *:dialog:dlgkb:init:*: {
  did -a dlgkb 1 %_dlgkb.nk from %_dlgkb.ch
  if (%_dlgkb.ban == on) { did -c dlgkb 4 | did -e dlgkb 5 | did -af dlgkb 3 $strip(%msg.ban) }
  else did -af dlgkb 3 $strip(%msg.kick)
  did -a dlgkb 6 0.5 | did -a dlgkb 6 1 | did -a dlgkb 6 3 | did -a dlgkb 6 5 
  did -a dlgkb 6 10 | did -a dlgkb 6 30 | did -a dlgkb 6 60 | did -c dlgkb 6 1 | unset %_dlgkb.*
}
on *:dialog:dlgkb:sclick:4: if ($did(4).state == 1) { did -e dlgkb 5 | if ($did(5).state == 1) _didsw -e dlgkb 6 7 | else _didsw -b dlgkb 6 7 } | else _didsw -b dlgkb 5-7
on *:dialog:dlgkb:sclick:5: if ($did(5).state == 1) _didsw -e dlgkb 6 7 | else _didsw -b dlgkb 6 7
on *:dialog:dlgkb:sclick:200: {
  if ($did(4).state == 1) { kb $gettok($did(1),3,32) $gettok($did(1),1,32) $did(3) $iif($did(5).state, [ [ $did(6) $+ ] mins temp ban! ] ) | if ($did(5).state == 1) .timer 1 $calc($did(6) * 60) mode $gettok($did(1),3,32) -b $address($gettok($did(1),1,32),2) }
  else k $gettok($did(1),3,32) $gettok($did(1),1,32) $did(3)
}
alias _msg.ctrl dialog -m msgc msgc
dialog msgc {
  title "Msg Edit"
  size -1 -1 500 320
  radio "Kick(1)", 101, 20 10 100 30, push
  radio "Kick(2)", 102, 140 10 100 30, push
  radio "Notices", 103, 260 10 100 30, push
  radio "Misc.", 104, 380 10 100 30, push
  box "", 105, -10 45 520 220

  text "Default Kick", 1, 10 60 230 15, hide
  edit "", 2, 10 80 230 20, hide autohs
  text "Default Kick/Ban", 3, 10 110 200 15, hide
  edit "", 4, 10 130 230 20, hide autohs
  text "Personal Ban Kick(When you are banned)", 5, 10 160 200 15, hide
  edit "", 6, 10 180 230 20, hide autohs
  text "Enemy Kick/Ban", 7, 10 210 200 15, hide
  edit "", 8, 10 230 230 20, hide autohs

  text "Personal Flooder Kick", 9, 260 60 230 15, hide
  edit "", 10, 260 80 230 20, hide autohs
  text "Repeat Flood", 11, 260 110 200 15, hide
  edit "", 12, 260 130 230 20, hide autohs
  text "Scrolling Flood", 13, 260 160 200 15, hide
  edit "", 14, 260 180 230 20, hide autohs
  text "Text Flood", 15, 260 210 200 15, hide
  edit "", 16, 260 230 230 20, hide autohs

  text "Nick Flood", 17, 10 60 230 15, hide
  edit "", 18, 10 80 230 20, hide autohs
  text "Join Flood", 19, 10 110 200 15, hide
  edit "", 20, 10 130 230 20, hide autohs
  text "Clone Kick", 21, 10 160 200 15, hide
  edit "", 22, 10 180 230 20, hide autohs
  text "Wingate Kick/Ban", 23, 10 210 200 15, hide
  edit "", 24, 10 230 230 20, hide autohs

  text "", 25, 260 60 230 15, hide
  edit "", 26, 260 80 230 20, hide autohs
  text "", 27, 260 110 200 15, hide
  edit "", 28, 260 130 230 20, hide autohs
  text "", 29, 260 160 200 15, hide
  edit "", 30, 260 180 230 20, hide autohs
  text "", 31, 260 210 200 15, hide
  edit "", 32, 260 230 230 20, hide autohs

  text "Notice Prefix", 33, 10 60 230 15, hide
  edit "", 34, 10 80 230 20, hide autohs
  text "Channel Notice Prefix", 35, 10 110 200 15, hide
  edit "", 36, 10 130 230 20, hide autohs
  text "Onotice Prefix", 37, 10 160 200 15, hide
  edit "", 38, 10 180 230 20, hide autohs
  text "O/+V notice Prefix", 39, 10 210 200 15, hide
  edit "", 40, 10 230 230 20, hide autohs

  text "+Vnotice Prefix", 41, 260 60 230 15, hide
  edit "", 42, 260 80 230 20, hide autohs
  text "To user who parted", 43, 260 110 200 15, hide
  edit "", 44, 260 130 230 20, hide autohs
  text "Unban Protected User", 45, 260 160 200 15, hide
  edit "", 46, 260 180 230 20, hide autohs
  text "", 47, 260 210 200 15, hide
  edit "", 48, 260 230 230 20, hide autohs

  text "Default Part Msg", 49, 10 60 230 15, hide
  edit "", 50, 10 80 230 20, hide autohs
  text "Finger Reply", 51, 10 110 200 15, hide
  edit "", 52, 10 130 230 20, hide autohs
  text "Page Reply", 53, 10 160 200 15, hide
  edit "", 54, 10 180 230 20, hide autohs
  text "", 55, 10 210 200 15, hide
  edit "", 56, 10 230 230 20, hide autohs

  text "", 57, 260 60 230 15, hide
  edit "", 58, 260 80 230 20, hide autohs
  text "", 59, 260 110 200 15, hide
  edit "", 60, 260 130 230 20, hide autohs
  text "", 61, 260 160 200 15, hide
  edit "", 62, 260 180 230 20, hide autohs
  text "", 63, 260 210 200 15, hide
  edit "", 64, 260 230 230 20, hide autohs

  button "Save", 200, 180 280 60 30, ok
  button "Cancel", 201, 260 280 60 30, cancel
}
on *:dialog:msgc:init:*: {
  did -c msgc 101 | _didsw -v msgc 1-16 | did -a msgc 2 %msg.kick | did -a msgc 4 %msg.ban | did -a msgc 6 %msg.banme | did -a msgc 8 %msg.enemb
  did -a msgc 10 %msg.bctfld | did -a msgc 12 %msg.rfl | did -a msgc 14 %msg.tsfl | did -a msgc 16 %msg.tfl | did -a msgc 18 %msg.nfl | did -a msgc 20 %msg.jnfl | did -a msgc 22 %msg.cl | did -a msgc 24 %msg.wingate
  did -a msgc 34 %msg.not | did -a msgc 36 %msg.notc | did -a msgc 38 %msg.onot | did -a msgc 40 %msg.ov | did -a msgc 42 %msg.v | did -a msgc 44 %msg.pnote | did -a msgc 46 %msg.ub
  did -a msgc 50 %msg.part | did -a msgc 52 %msg.finger | did -a msgc 54 %msg.page
}
on *:dialog:msgc:sclick:101:_didsw -h msgc 17-64 | _didsw -v msgc 1-16
on *:dialog:msgc:sclick:102:_didsw -h msgc 1-16 25-64 | _didsw -v msgc 17-24
on *:dialog:msgc:sclick:103:_didsw -h msgc 1-32 47-64 | _didsw -v msgc 33-46
on *:dialog:msgc:sclick:104:_didsw -h msgc 1-48 55-64 | _didsw -v msgc 49-54
on *:dialog:msgc:sclick:200: {
  if ($did(2)) %msg.kick = $did(2) | else %msg.kick = Expelled!
  if ($did(4)) %msg.ban = $did(4) | else %msg.ban = Ex-communicated!
  if ($did(6)) %msg.banme = $did(6) | else %msg.banme = Do not ban me unless you kick first!
  if ($did(8)) %msg.enemb = $did(8) | else %msg.enemb = Classified Enemy!
  if ($did(10)) %msg.bctfld = $did(10) | else %msg.bctfld = Flooder!
  if ($did(12)) %msg.rfl = $did(12) | else %msg.rfl = Do not repeat, &nick&!
  if ($did(14)) %msg.tsfl = $did(14) | else %msg.tsfl = &nick& Scrolling Flood!
  if ($did(16)) %msg.tfl = $did(16) | else %msg.tfl = &nick& Text Flood!
  if ($did(18)) %msg.nfl = $did(18) | else %msg.nfl = &nick& Nick Flood!
  if ($did(20)) %msg.jnfl = $did(20) | else %msg.jnfl = &nick& Join Flood!
  if ($did(22)) %msg.cl = $did(22) | else %msg.cl = Lose Clones!
  if ($did(24)) %msg.wingate = $did(24) | else %msg.wingate = &nick& You are on Wingate! Install identd!
  if ($did(34)) %msg.not = $did(34) | else %msg.not = (&me& whispers to &nick&)
  if ($did(36)) %msg.notc = $did(36) | else %msg.notc = (&me& &chan&:All)
  if ($did(38)) %msg.onot = $did(38) | else %msg.onot = (&me& &chan&:@'s)
  if ($did(40)) %msg.ov = $did(40) | else %msg.ov = (&me& &chan&:@/V's)
  if ($did(42)) %msg.v =  $did(42) | else %msg.v = (&me& &chan&:V's)
  if ($did(44)) %msg.pnote = $did(44) | else %msg.pnote = Bye &nick&!
  if ($did(46)) %msg.ub = $did(46) | else %msg.ub = Your banmask matches one of my protected user!
  if ($did(50)) %msg.part = $did(50) | else %msg.part = [ jETIN SpeCial pt ] $_spar-ver
  if ($did(52)) %msg.finger = $did(52) | else %msg.finger = Don't give me a finger :P
  if ($did(54)) %msg.page = $did(54) | else %msg.page = Your page logged! I will return this page as soon as possible.
}
