
alias _color.ctrl dialog -m clrc clrc
dialog clrc {
  title "Color Configuration"
  size -1 -1 250 400
  text "Click on a color icon to edit", 1, 10 10 200 15
  box "Primary Echo", 2, 10 60 230 150
  box "Secondary Echo - who, joinscan..etc", 3, 10 230 230 100

  text "Primary", 4, 30 87 100 15
  icon 5, 150 85 20 20
  text "", 6, 10 10 50 20, hide
  text "Highlight1", 7, 30 117 100 15
  icon 8, 150 115 20 20
  text "", 9, 10 10 50 20, hide
  text "Highlight2", 10, 30 147 100 15
  icon 11, 150 145 20 20
  text "", 12, 10 10 50 20, hide
  text "Warning", 13, 30 177 100 15
  icon 14, 150 175 20 20
  text "", 15, 10 10 50 20, hide

  text "Primary", 16, 30 257 100 15
  icon 17, 150 255 20 20
  text "", 18, 10 10 50 20, hide
  text "Highlight", 19, 30 287 100 15
  icon 20, 150 285 20 20
  text "", 21, 10 10 50 20, hide

  text "mIRC Background", 22, 20 32 100 15
  icon 23, 150 30 20 20
  text "", 24, 10 10 50 20, hide

  button "Apply", 200, 65 360 50 30, ok default
  button "Cancel", 201, 135 360 50 30, cancel
}
on *:dialog:clrc:init:*: {
  did -g clrc 23 $_bmpdir $+ %sce.g $+ .bmp | did -a clrc 24 %sce.g
  did -g clrc 5 $_bmpdir $+ %sce.b $+ .bmp | did -a clrc 6 %sce.b
  did -g clrc 8 $_bmpdir $+ %sce.h $+ .bmp | did -a clrc 9 %sce.h
  did -g clrc 11 $_bmpdir $+ %sce.m $+ .bmp | did -a clrc 12 %sce.m
  did -g clrc 14 $_bmpdir $+ %sce.w $+ .bmp | did -a clrc 15 %sce.w
  did -g clrc 17 $_bmpdir $+ %@dsp.c $+ .bmp | did -a clrc 18 %@dsp.c
  did -g clrc 20 $_bmpdir $+ %sce.j $+ .bmp | did -a clrc 21 %sce.j
}
on *:dialog:clrc:sclick:*: {
  if (($did == 5) || ($did == 8) || ($did == 11) || ($did == 14) || ($did == 17) || ($did == 20) || ($did == 23)) { %coloring.idx = clrc $did | .timer 1 0 ncl.cl }
  elseif ($did == 200) { %sce.g = $did(24) | background -mef $_bmpdir $+ %sce.g $+ .bmp | %sce.b = $did(6) | %sce.h = $did(9) | %sce.m = $did(12) | %sce.w = $did(15) | %@dsp.c = $did(18) | %sce.j = $did(21) }
}

;flood
alias _f.protc dialog -m pfd pfd
dialog pfd {
  title "Personal Flood Protection"
  size -1 -1 400 300

  check "Enable ctcp flood protection", 1, 20 10 200 20
  combo 2, 30 40 100 150, drop disable
  edit "", 3, 150 40 50 22, disable
  text "ctcps in", 4, 210 43 50 15, disable
  edit "", 5, 260 40 50 22, disable
  text "sec(s)", 6, 320 43 50 15, disable

  check "Enable invite flood protection", 7, 20 70 200 20
  combo 8, 30 100 100 150, drop disable
  edit "", 9, 150 100 50 22, disable
  text "invites in", 10, 210 103 60 15, disable
  edit "", 11, 260 100 50 22, disable
  text "sec(s)", 12, 320 103 50 15, disable

  check "Enable notice flood protection", 13, 20 130 200 20
  combo 14, 30 160 100 150, drop disable
  edit "", 15, 150 160 50 22, disable
  text "notices in", 16, 210 163 60 15, disable
  edit "", 17, 260 160 50 22, disable
  text "sec(s)", 18, 320 163 50 15, disable

  check "Enable msg flood protection", 19, 20 190 200 20
  combo 20, 30 220 100 150, drop disable
  edit "", 21, 150 220 50 22, disable
  text "msgs in", 22, 210 223 60 15, disable
  edit "", 23, 260 220 50 22, disable
  text "sec(s)", 24, 320 223 50 15, disable

  button "Save", 200, 140 260 50 30, ok
  button "Cancel", 201, 210 260 50 30, cancel default
}
on *:dialog:pfd:init:*: {
  if (%sw.protctcp == on) { did -c pfd 1 | _didsw -e pfd 2-6 }
  if (%ifl.sw == on) { did -c pfd 7 | _didsw -e pfd 8-12 }
  if (%sw.protnot == on) { did -c pfd 13 | _didsw -e pfd 14-18 }
  if (%sw.protmsg == on) { did -c pfd 19 | _didsw -e pfd 20-24 }
  %tmp1 = $readini $_cfd.ini ptfl sns | _pfd.sns 2 %tmp1 | %tmp1 = $readini $_cfd.ini ptfl %tmp1 | did -a pfd 3 $gettok(%tmp1,1,32) | did -a pfd 5 $gettok(%tmp1,2,32)
  %tmp1 = $readini $_cfd.ini ifl sns | _pfd.sns 8 %tmp1 | %tmp1 = $readini $_cfd.ini ifl %tmp1 | did -a pfd 9 $gettok(%tmp1,1,32) | did -a pfd 11 $gettok(%tmp1,2,32)
  %tmp1 = $readini $_cfd.ini pnotfl sns | _pfd.sns 14 %tmp1 | %tmp1 = $readini $_cfd.ini pnotfl %tmp1 | did -a pfd 15 $gettok(%tmp1,1,32) | did -a pfd 17 $gettok(%tmp1,2,32)
  %tmp1 = $readini $_cfd.ini pmsgfl sns | _pfd.sns 20 %tmp1 | %tmp1 = $readini $_cfd.ini pmsgfl %tmp1 | did -a pfd 21 $gettok(%tmp1,1,32) | did -a pfd 23 $gettok(%tmp1,2,32) 
  unset %tmp*
}
alias _pfd.sns tokenize 32 $1- | did -a pfd $1 Loose | did -a pfd $1 Medium | did -a pfd $1 Strict | did -a pfd $1 Custom | if ($2 == loose) did -c pfd $1 1 | elseif ($2 == medium) did -c pfd $1 2 | elseif ($2 == strict) did -c pfd $1 3 | else did -c pfd $1 4
alias _pfd.sel tokenize 32 $1- | if ($2 == 1) %tmp1 = loose | elseif ($2 == 2) %tmp1 = medium | elseif ($2 == 3) %tmp1 = strict | else %tmp1 = custom | %tmp1 = $readini $_cfd.ini $1 %tmp1 | did -ra pfd $calc($3 + 1) $gettok(%tmp1,1,32) | did -ra pfd $calc($3 + 3) $gettok(%tmp1,2,32) | unset %tmp1
alias _pfd.wsel tokenize 32 $1- | if ($2 == 1) %tmp1 = loose | elseif ($2 == 2) %tmp1 = medium | elseif ($2 == 3) %tmp1 = strict | else %tmp1 = custom | writeini $_cfd.ini $1 sns %tmp1 | if ($2 == 4) writeini $_cfd.ini $1 custom $did(pfd,$calc($3 + 1)) $did(pfd,$calc($3 + 3))
on *:dialog:pfd:sclick:*: {
  if (($did == 1) || ($did == 7) || ($did == 13) || ($did == 19)) { if ($did($did).state == 1) _didsw -e pfd $calc($did + 1) $+ - $+ $calc($did + 5) | else _didsw -b pfd $calc($did + 1) $+ - $+ $calc($did + 5) }
  elseif ($did == 2) _pfd.sel ptfl $did($did).sel $did
  elseif ($did == 8) _pfd.sel ifl $did($did).sel $did
  elseif ($did == 14) _pfd.sel pnotfl $did($did).sel $did
  elseif ($did == 20) _pfd.sel pmsgfl $did($did).sel $did
  elseif ($did == 200) {
    if (($did(3) == $null) || ($did(5) == $null) || ($did(9) == $null) || ($did(11) == $null) || ($did(15) == $null) || ($did(17) == $null) || ($did(21) == $null) || ($did(23) == $null)) { .timer 1 0 _err You haven't complete one of the parameter | halt }
    if ($did(1).state == 1) %sw.protctcp = on | else %sw.protctcp = off | if ($did(7).state == 1) %ifl.sw = on | else %ifl.sw = off | if ($did(13).state == 1) %sw.protnot = on | else %sw.protnot = off | if ($did(19).state == 1) %sw.protmsg = on | else %sw.protmsg = off
    _pfd.wsel ptfl $did(2).sel 2 | _pfd.wsel ifl $did(8).sel 8 | _pfd.wsel pnotfl $did(14).sel 14 | _pfd.wsel pmsgfl $did(20).sel 20
    %pc.ctcp.time = $did(5) | %pc.ctcp.max = $did(3) | %ifl.time = $did(11) | %ifl.max = $did(9) | %pnfl.time = $did(17) | %pnfl.max = $did(15) | %pmfl.time = $did(23) | %pmfl.max = $did(21)
  }
}
on *:dialog:pfd:edit:*: {
  if (($did == 3) || ($did == 9) || ($did == 15) || ($did == 21)) did -c pfd $calc($did - 1) 4
  elseif (($did == 5) || ($did == 11) || ($did == 17) || ($did == 23)) did -c pfd $calc($did - 3) 4
}

;general
alias _gnrl dialog -m gnrl gnrl
dialog gnrl {
  title "General Setup Options"
  size -1 -1 400 400
  text "Menu:", 1, 20 10 50 15
  combo 2, 70 8 200 150, drop
  box "", 3, -10 40 420 300

  check "Show the SonsOfPunjab logo window on start up", 4, 20 60 300 20, hide
  check "Enable the lag meter window", 5, 20 90 200 20, hide
  text "MOTD", 6, 20 122 50 15, hide
  combo 7, 75 120 150 150, drop, hide
  check "Skip it on connect", 28, 235 120 150 20, hide

  box "Channel", 8, 10 150 380 170, hide
  check "Echo clone warning when a clone joins", 9, 20 170 300 20, hide
  check "Echo ircop warning when an ircop joins", 10, 20 200 300 20, hide
  check "Channel talks (text and action) also display their @/+V status", 11, 20 230 320 20, hide
  check "Send note to a user parting", 12, 20 260 200 20, hide
  edit "", 13, 50 285 300 20, autohs hide

  box "Ctcps Related", 14, 10 70 380 150, hide
  text "Display Channel Ctcps in", 15, 20 100 130 15, hide
  combo 16, 155 98 150 150, drop hide
  check "Enable !PING server", 17, 20 140 130 15, hide
  text "", 18, 155 140 170 100, hide
  box "DCC", 19, 10 240 380 80, hide
  check "Chat - Whenever mIRC reboots, go back to", 20, 20 260 230 20, hide
  combo 21, 260 260 100 150, drop hide
  check "Send - Whenever mIRC reboots, go back to", 22, 20 290 230 20, hide
  combo 23, 260 290 100 150, drop hide

  check "Hear server notices", 24, 20 80 150 20, hide
  check "Show Netsplit/Netmerge warning", 25, 50 140 200 20, disable hide
  check "Show other server notices", 26, 50 170 200 20, disable hide
  box "", 27, 30 120 340 90, hide

  button "Save", 200, 140 360 50 30, ok
  button "Cancel", 201, 210 360 50 30, cancel
}
on *:dialog:gnrl:init:*: {
  did -a gnrl 2 Displays | did -a gnrl 2 Ctcps & DCCs | did -a gnrl 2 Server Notices | did -c gnrl 2 1 | _didsw -v gnrl 4-13 28
  if (%sw.openshow == on) did -c gnrl 4 | if (%sw.lag == on) did -c gnrl 5 | did -a gnrl 7 Motd window | did -a gnrl 7 Status window | if (%sw.winmotd == on) did -c gnrl 7 1 | else did -c gnrl 7 2
  if (%sw.clone == on) did -c gnrl 9 | if (%sw.jircop == on) did -c gnrl 10 | if (%sw.chtalk == on) did -c gnrl 11 | if (%part.sw == on) did -c gnrl 12 | else did -b gnrl 13 | if (%msg.pnote) did -a gnrl 13 %msg.pnote
  did -a gnrl 16 Channel window | did -a gnrl 18 When a user send !ping $iif(hangul isin $network,or !) request in channel, it checks out the lag time by sending ctcp to the user, and notices them their lag time.
  did -a gnrl 16 Status window | if (%@dsp.chctcp == -c) did -c gnrl 16 1 | else did -c gnrl 16 2
  if (%sw.pserv == on) did -c gnrl 17 | if (%sw.cdccmode == on) did -c gnrl 20 | else did -b gnrl 21 | if (%sw.sdccmode == on) did -c gnrl 22 | else did -b gnrl 23
  did -a gnrl 21 ask | did -a gnrl 21 auto | did -a gnrl 21 ignore | did -a gnrl 23 ask | did -a gnrl 23 auto | did -a gnrl 23 ignore
  if (%dccmode.chat == ask) did -c gnrl 21 1 | elseif (%dccmode.chat == auto) did -c gnrl 21 2 | else did -c gnrl 21 3
  if (%dccmode.send == ask) did -c gnrl 23 1 | elseif (%dccmode.send == auto) did -c gnrl 23 2 | else did -c gnrl 23 3
  if (s isin %sw.umode) { did -c gnrl 24 | _didsw -e gnrl 25 26 } | if (%sw.linklook == on) did -c gnrl 25 | if (%sw.snotice == on) did -c gnrl 26 | if (%motd.main == off) did -c gnrl 28
}
on *:dialog:gnrl:sclick:2:if ($did(2).sel == 1) { _didsw -h gnrl 14-27 | _didsw -v gnrl 4-13 28 } | elseif ($did(2).sel == 2) { _didsw -h gnrl 4-13 24-28 | _didsw -v gnrl 14-23 } | elseif ($did(2).sel == 3) { _didsw -h gnrl 4-23 28 | _didsw -v gnrl 24-27 }
on *:dialog:gnrl:sclick:12:if ($did(12).state == 1) did -e gnrl 13 | else did -b gnrl 13
on *:dialog:gnrl:sclick:20:if ($did(20).state == 1) did -e gnrl 21 | else did -b gnrl 21
on *:dialog:gnrl:sclick:22:if ($did(22).state == 1) did -e gnrl 23 | else did -b gnrl 23
on *:dialog:gnrl:sclick:24:if ($did(24).state == 1) _didsw -e gnrl 25 26 | else _didsw -b gnrl 25 26
on *:dialog:gnrl:sclick:200: {
  if ($did(4).state == 1) %sw.openshow = on | else %sw.openshow = off | if ($did(5).state == 1) %sw.lag = on | else %sw.lag = off 
  if (%sw.lag == on) { 
    if ($window(@lag.meter) == $null) { dec %lag.old | _lag.meter } 
  } 
  else { 
    if ($window(@lag.meter)) { dec %lag.old | _lag.meter } 
  }
  if ($did(7).sel == 1) %sw.winmotd = on | else %sw.winmotd = off | if ($did(28).state == 1) %motd.main = off | else %motd.main = on
  if ($did(9).state == 1) %sw.clone = on | else %sw.clone = off | if ($did(10).state == 1) %sw.jircop = on | else %sw.jircop = off
  if ($did(11).state == 1) %sw.chtalk = on | else %sw.chtalk = off | if ($did(12).state == 1) %part.sw = on | else %part.sw = off | if ($did(13)) %msg.pnote = $did(13)
  if ($did(16).sel == 1) %@dsp.chctcp = -c | else %@dsp.chctcp = -s | if ($did(17).state == 1) %sw.pserv = on | else %sw.pserv = off
  if ($did(20).state == 1) %sw.cdccmode = on | else %sw.cdccmode = off | if ($did(22).state == 1) %sw.sdccmode = on | else %sw.sdccmode = off | %dccmode.chat = $did(21) | %dccmode.send = $did(23) 
  if ($did(24).state == 1) { 
    if (($server) && (s !isin $usermode)) mode $me +s 
    if (s !isin %sw.umode) { %sw.umode = %sw.umode $+ s | if (+ !isin %sw.umode) %sw.umode = + $+ %sw.umode }
  }
  else { 
    if (($server) && (s isin $usermode)) mode $me -s 
    if (s isin %sw.umode) { %sw.umode = $remove(%sw.umode,s) | if (+ !isin %sw.umode) %sw.umode = + $+ %sw.umode } 
  }
  if ($did(25).state == 1) %sw.linklook = on | else %sw.linklook = off | if ($did(26).state == 1) %sw.snotice = on | else %sw.snotice = off
}
