Menu channel,query {
  -
  &Text Design
  .On:{
    if (%enhance == $null) { echo -a You haven't chosen a design! }
    set %enhance.switch on
  }
  .Off:/unset %enhance.switch
  .-
  .Mode
  ..Normal:/enhance normal
  ..Boxed
  ...Black and White:/enhance box.bw
  ...Multicolor:/enhance box.multi
  ..Bulleted:/enhance bullet
  ..Gradients
  ...Gray:/gradient.set gray
  ...Blue:/gradient.set blue
  ...Red:/gradient.set red
  ...Violet:/gradient.set violet
  ..Encrypted:/enhance code.dp1 
  ..Spacey:/enhance spacey
  ..Spectrum
  ...Solid:/gradient.set spectrum1
  ...Bar:/gradient.set spectrum2
  ..Parenthesis:/enhance parenthesis
  ..Patterns
  ...(`..:/pattern.set (`.. ..)
  ...:/pattern.set 
  ...,++,,++,:/pattern.set ,++,,++,
  ...()()()():/pattern.set ()()()()
  ...@..@:/pattern.set @..@
  ...`"":/pattern.set `""
  ...`..:/pattern.set `..
  ...,.().,:/pattern.set ,.().,
  ...oo:/ pattern.set oo
  .....:/ pattern.set ..
  ...<^~()~^>:/ pattern.set <^~()~^>
  ...:/ pattern.set 
  ...(~@~)(~@~)(~@~)(~@~):/ pattern.set (~@~)(~@~)(~@~)(~@~)
  ...^o~:/ pattern.set ^o~ ~o^
  ...:/ pattern.set  
  ..Radical
  ...Alternate Bold:/radical.set b
  ...Alternate Underline:/radical.set u
  ...Alternate Bold, Underline:/radical.set bu
  ...Multicolor Bold Underline:/radical.set cbu
  ..Tech:/enhance tech
  .-
  .Favorites/Best
  .Color Schemes
  ..Deep Freeze:/scheme 2 0 15 2 4 0
  ..Christmas:/scheme 4 3 9 4 4 3
  ..R and B:/scheme 4 0 2 0 4 0
  ..Dark:/scheme 8 1 15 1 8 1
  ..Cute:/scheme 3 8 4 11 3 8
  ..Pastel:/scheme 15 11 11 15 15 11
  ..Gray Scale:/scheme 14 15 15 14 10 15
  .-
  .Text Color
  ..No Background:/bg.none
  ..-
  ..White:/set %1 0
  ..Black:/set %1 1
  ..Dark Blue:/set %1 2
  ..Green:/set %1 3
  ..Red:/set %1 4
  ..Brown:/set %1 5
  ..Purple:/set %1 6
  ..Orange:/set %1 7
  ..Yellow:/set %1 8
  ..Bright Green:/set %1 9
  ..Cyan:/set %1 10
  ..Aqua:/set %1 11
  ..Blue:/set %1 12
  ..Magenta:/set %1 13
  ..Gray:/set %1 14
  ..Light Gray:/set %1 15
  .Background Color
  ..No Background:/bg.none
  ..-
  ..White:/bg.set 0
  ..Black:/bg.set 1
  ..Dark Blue:/bg.set 2
  ..Green:/bg.set 3
  ..Red:/bg.set 4
  ..Brown:/bg.set 5 
  ..Purple:/bg.set 6 
  ..Orange:/bg.set 7 
  ..Yellow:/bg.set 8 
  ..Bright Green:/bg.set 9 
  ..Cyan:/bg.set 10 
  ..Aqua:/bg.set 11 
  ..Blue:/bg.set 12 
  ..Magenta:/bg.set 13 
  ..Gray:/bg.set 14 
  ..Light Gray:/bg.set 15 
  .Font Settings
  ..Regular:/unset %bold | unset %underline
  ..Bold:/unset %underline | set %bold 
  ..Underline:/unset %bold | set %underline 
  ..Bold Underline:/set %bold  | set %underline 
  ..-
  ..Case
  ...Default:/unset %case
  ...Big Letters:/set %case big
  ...Small Letters:/set %case small
  ...Mixed Case:/set %case mix
  ;..Misc
  ;...Default:/unset %misc
  ;...Alternate Bold:/set %misc b
  ;...Alternate Underline:/set %misc u
  ;...Alternate Bold Underline:/set %misc bu
  ;...Multicolor Bold Underline:/set %misc cbu
  .Extended Ascii
  ..On:/set %ascii on
  ..Off:/unset %ascii
  ..-
  ..Configure...:/ascii.configure
  .-
  .Begin Text
  ..On:/set %begin.switch on
  ..Off:/unset %begin.switch
  ..-
  ..Your nick:/set %begin $me
  ..Ascii nick:/begin.nick.ascii $me
  ..-
  ..Ascii:/begin.nick.ascii $$?="Enter custom text: (characters will depend on the Extended Ascii Configuration)"
  ..Custom:/set %begin $$?="Enter custom sentence begin text:"
  ..-
  ..Text Color
  ...White:/set %begin.tc 0
  ...Black:/set %begin.tc 1
  ...Dark Blue:/set %begin.tc 2
  ...Green:/set %begin.tc 3
  ...Red:/set %begin.tc 4
  ...Brown:/set %begin.tc 5
  ...Purple:/set %begin.tc 6
  ...Orange:/set %begin.tc 7
  ...Yellow:/set %begin.tc 8
  ...Bright Green:/set %begin.tc 9
  ...Cyan:/set %begin.tc 10
  ...Aqua:/set %begin.tc 11
  ...Blue:/set %begin.tc 12
  ...Magenta:/set %begin.tc 13
  ...Gray:/set %begin.tc 14
  ...Light Gray:/set %begin.tc 15
  ..Background Color
  ...No Background:/nobackgrb
  ...-
  ...White:/set %begin.bc 0 | backgrb
  ...Black:/set %begin.bc 1 | backgrb
  ...Dark Blue:/set %begin.bc 2 | backgrb
  ...Green:/set %begin.bc 3 | backgrb
  ...Red:/set %begin.bc 4 | backgrb
  ...Brown:/set %begin.bc 5 | backgrb
  ...Purple:/set %begin.bc 6 | backgrb
  ...Orange:/set %begin.bc 7 | backgrb
  ...Yellow:/set %begin.bc 8 | backgrb
  ...Bright Green:/set %begin.bc 9 | backgrb
  ...Cyan:/set %begin.bc 10 | backgrb
  ...Aqua:/set %begin.bc 11 | backgrb
  ...Blue:/set %begin.bc 12 | backgrb
  ...Magenta:/set %begin.bc 13 | backgrb
  ...Gray:/set %begin.bc 14 | backgrb
  ...Light Gray:/set %begin.bc 15 | backgrb
  ..-
  ..Font Settings
  ...Regular:/unset %begin.b | unset %begin.u
  ...Bold:/unset %begin.u | set %begin.b 
  ...Underline:/unset %begin.b | set %begin.u 
  ...Bold Underline:/set %begin.b  | set %begin.u 
  .End Text
  ..On:/set %end.switch on
  ..Off:/unset %end.switch
  ..-
  ..Your nick:/set %end $me
  ..Ascii nick:/end.nick.ascii $me
  ..-
  ..Ascii:/end.nick.ascii $$?="Enter custom text: (characters will depend on the Extended Ascii Configuration)"
  ..Custom:/set %end $$?="Enter custom sentence end text:"
  ..-
  ..Text Color
  ...White:/set %end.tc 0
  ...Black:/set %end.tc 1
  ...Dark Blue:/set %end.tc 2
  ...Green:/set %end.tc 3
  ...Red:/set %end.tc 4
  ...Brown:/set %end.tc 5
  ...Purple:/set %end.tc 6
  ...Orange:/set %end.tc 7
  ...Yellow:/set %end.tc 8
  ...Bright Green:/set %end.tc 9
  ...Cyan:/set %end.tc 10
  ...Aqua:/set %end.tc 11
  ...Blue:/set %end.tc 12
  ...Magenta:/set %end.tc 13
  ...Gray:/set %end.tc 14
  ...Light Gray:/set %end.tc 15
  ..Background Color
  ...No Background:/nobackgre
  ...-
  ...White:/set %end.bc 0 | backgre
  ...Black:/set %end.bc 1 | backgre
  ...Dark Blue:/set %end.bc 2 | backgre
  ...Green:/set %end.bc 3 | backgre
  ...Red:/set %end.bc 4 | backgre
  ...Brown:/set %end.bc 5 | backgre
  ...Purple:/set %end.bc 6 | backgre
  ...Orange:/set %end.bc 7 | backgre
  ...Yellow:/set %end.bc 8 | backgre
  ...Bright Green:/set %end.bc 9 | backgre
  ...Cyan:/set %end.bc 10 | backgre
  ...Aqua:/set %end.bc 11 | backgre
  ...Blue:/set %end.bc 12 | backgre
  ...Magenta:/set %end.bc 13 | backgre
  ...Gray:/set %end.bc 14 | backgre
  ...Light Gray:/set %end.bc 15 | backgre
  ..-
  ..Font Settings
  ...Regular:/unset %end.u | unset %end.b
  ...Bold:/unset %end.u | set %end.b 
  ...Underline:/unset %end.b | set %end.u 
  ...Bold Underline:/set %end.u  | set %end.b 
  .Begin/End Text
  ..Separated from Main Text:/set %space 
  ..Connected to Main Text:/unset %space
  &Fun Text
  .Boxes
  ..White:/box0 $$?="What to say?"
  ..Black:/box1 $$?="What to say?"
  ..Dark Blue:/box2 $$?="What to say?"
  ..Green:/box3 $$?="What to say?"
  ..Red:/box4 $$?="What to say?"
  ..Brown:/box5 $$?="What to say?"
  ..Purple:/box6 $$?="What to say?"
  ..Orange:/box7 $$?="What to say?"
  ..Yellow:/box8 $$?="What to say?"
  ..Bright Green:/box9 $$?="What to say?"
  ..Cyan:/box10 $$?="What to say?"
  ..Aqua:/box11 $$?="What to say?"
  ..Blue:/box12 $$?="What to say?"
  ..Magenta:/box13 $$?="What to say?"
  ..Gray:/box14 $$?="What to say?"
  ..Light Gray:/box15 $$?="What to say?"
  .Stripes
  ..Christmas:/stripe1 $$?="What to say?"
  ..Aqua/Green:/stripe2 $$?="What to say?"
  ..Mango:/stripe3 $$?="What to say?"
  ..Yellow/Black:/stripe4 $$?="What to say?"
  ..L.Gray/Black:/stripe5 $$?="What to say?"
  ..D.Blue/Yellow:/stripe6 $$?="What to say?"
  ..Magenta/Yellow:/stripe7 $$?="What to say?"
  ..Aqua/Gray:/stripe8 $$?="What to say?"
  ..Yellow/Red:/stripe9 $$?="What to say?"
  ..Yellow/Orange:/stripe10 $$?="What to say?"
  .Colorful
  ..Wild Purple {
    set %temp $$?="what to say?"
    say 13(.****. %temp `'`'`'~~'`'`'`.)
    say 13**** %temp .`'`'`'~~'`'`'`(.****. %temp 
    unset %temp
  }
  ..Atomic Blue {
    set %temp $$?="what to say?"
    say 12 (`.(`.().) .)
    say 12 (`.(`.().) .)
    say 2 ((~~~~ %temp
    say 12 (_,.(_,.(__).,_).,_)
    say 12 (_,.(_,.(__).,_).,_)
    unset %temp
  }
  ..Cool Green {
    set %temp $$?="what to say?"
    say 3 +++++*+++++*+++++*+++++*+++++*+++++*+++++
    say 3 ((((` %temp $+ !!! ****..)
    say 3 +++++*+++++*+++++*+++++*+++++*+++++*+++++
    unset %temp
  }
  ..Radical Red {
    set %temp $$?="what to say?"
    say 4 >~~+*>~~+*>~~+*((((^)))) *+~~<)
    say 4 >~~+*>~~+*>~~+* %temp $+ !!!!! -]]]]]]]-
    say 4 >~~+*>~~+*>~~+*((((^)))) *+~~<.._)
    unset %temp
  }
  -
  &User Status
  .sleepy:/me is 7,1 sLeepY  11,0( 4zZzZzZ 11)
  .high:/me is 8,6 ! high !  on5 $$?="What?" 2[hahahahahahahahahaha15(can't stop laughing)2]
  .
  .-
  .drinking...:/me is 12drinking 5,11 $$?="What?" 
  .eating:/me is 6,11 eating. 
  .-
  .in the bathroom:/me is 3in the bathroom.
  .taking a bath:/me is 15taking a bath.
  .-
  .chatting:/me is 7,8 chatting (isn't it obvious) 
  .checking e-mail:/me is 15checking 2[7e-mail2]~~~
  .surfin the net:/me is 10surfin the 2 N - E - T 
  .-
  .having...:/me is 14having 4,11 $$?="What are you having?" 
  .away from the keyboard:/me is 5away from the keyboard!
  .groovin to the tune...:/me is 5groovin to the tune of 2" $+ $$?="Enter song title:" $+ " 15( 7 $+ $?="Artist's name:" 15)
  &Actions
  .Multicolor Theme
  ..Hello:/say 2,0~3,0~4,0~6,0~7,0~13,0~8,0~2,0 HeLLo 8,0~13,0~7,0~6,0~4,0~3,0~2,0~ 3,0>2,0>6,0>7,0>13,0> all 13,0<7,0<6,0<2,0<3,0<
  ..Laughs Out Loud:/me 2Laughs 4Out 2Loud
  ..Got to GO:/say 3-2-7-13-4 0,20,6 GoT 8-12-7-3- 9,4 2  4-13-3-7- 0,7 GO!  14-3-12-5- 
  ..Be Back Later:/say 0,6 i'LL  15,4   4,11 back  7,2 LaTeR... 
  ..Be Right Back:/say 3i'LL 9,6 =  10,11 riGhT  7,4 |3acK 
  ..Goodbye:/say 2,0~3,0~4,0~6,0~7,0~13,0~8,0~2,0 GoOdByE 8,0~13,0~7,0~6,0~4,0~3,0~2,0~ 3,0>2,0>6,0>7,0>13,0> aLL 13,0<7,0<6,0<2,0<3,0<
  .Techie Theme
  ..Hello:/say 7,2  8Hello 7 2,1 15 everyone! 2 
  ..Laughing Out Loud:/me is 10,15  14,1  15,1 Laughing Out Loud 14,1  10,15  
  ..Got to GO:/say 15i*ve 10,15 go0T 1,0 to 15,1G!
  ..Be Right Back:/say 8,1 b14e  8,1 R14igh15T  8,1 B14acK 
  ..Be Back Later:/say 10,15   15,10 be  10,1  BacK   15,1 LaTeR  ...
  ..Goodbye:/say 8,1 G15,1ood_bye  15,2 every3(1)15!! 
  .Radical Theme
  ..Hello:/say 7(4(2( 2H  l l 2 )4)7) 6~!6<10 all 6>
  ..LOL:/say 6([L]42(L15)11)146!102 (7 !!! 11)
  ..GTG:/say 15(76G11)14~15(4T11)3~15(2G1315)
  ..BRB:/say 15(6b715(4r215(3b1011)11)11)
  ..BBL:/say 11=15=14=2be7=6=3=4back10=7=4=6later14=15=11=
  ..Bye:/say 42G*36*2*d7::14bye4 15[2 all 11]
  .Annoying Expressions
  ..Cyah later...:/say 6See 13U 7later3 $$?="What? (must be rhyme)"
  ..Gtg Kulugo:/say 7Got'ta 4go 5KuLugO 11w
  ..Let's go SaGo:/say 0,3 Letz  7,8 gO  2,11 Sago! 
  Smileys
  .Normal
  ..Smiley:/say 1,8: )   
  ..Big Smile:/say 1,8: D
  ..Indifferent:/say 1,8: I 
  ..Sarcastic:/say 1,8: > 
  ..Kid w/cap:/say 1,8: P)--|----<
  ..Vampire:/say 1,8:[    
  ..Johnny smiley:/say 1,8: )   
  ..Cap and tongue:/say 1,8:   
  ..Angry:/say 1,8>: (   
  ..Frown:/say 1,8: (   
  ..Wink:/say 1,8; )   
  ..Blue Magic:/say 1,8= )
  ..Punjabi:/say 7 Sat Sri Akal ! 1,8@|:-)
  ..Cyclops:/say 1,8@ )
  ..Surprised:/say 1,8: o
  ..Robot:/say 1,8[ :) ]
  ..Blue Smiley:/say 0,12 : )

  {
    -
