
alias _adn.chk dialog -md adndl adndl
dialog adndl {
  title "Addon Downloads"
  size -1 -1 400 300
  box "", 1, -10 10 420 220
  button "Connect to the Site", 2, 100 100 200 50
  text "List of Addons Available", 3, 10 25 150 15, hide
  list 4, 10 50 130 170, hide
  list 5, 260 50 130 170, hide
  button "Download", 6, 170 50 70 30, hide
  button "Install", 7, 170 130 70 30, hide disable
  button "Info", 10, 170 90 70 30, hide
  text "Downloaded Addons", 8, 260 25 150 15, hide
  text "Welcome to Addon Downloader! This downloader will connect to the SonsOfPunjab site and gather information of available addons. To start, click the button below", 9, 20 40 360 50
  button "Close", 200, 170 260 60 30, ok
}
on *:dialog:adndl:sclick:2: {
  did -ra adndl 2 Connecting... | did -b adndl 200
  sockopen addons 206.132.185.167 80
}
on *:dialog:adndl:sclick:6: {
  if ($did(4).sel == $null) { beep 1 | halt }
  .timer 1 0 _dlfile 206.132.185.167 /spinoc/ $+ $did(4,$did(4,1).sel) $mircdiraddon\
}
on *:dialog:adndl:sclick:7: {
  .unload -rs $mircdirscripts\disp.mrc | .unload -rs $mircdirscripts\ctcps.mrc | .unload -rs $mircdirscripts\raw01.mrc | .unload -rs $mircdirscripts\last.mrc | if ($did(5).sel) .load -rs addon\ $+ $did(5,$did(5).sel)
  .load -rs $mircdirscripts\disp.mrc | .load -rs $mircdirscripts\ctcps.mrc | .load -rs $mircdirscripts\raw01.mrc | .load -rs $mircdirscripts\last.mrc
}
on *:dialog:adndl:sclick:10: if ($window(@_adninfo)) { if ($did(4).sel) { %tmp = $did(4,$did(4,1).sel) $+ :* | %tmp = $fline(@_adninfo,%tmp,1) | %tmp = $gettok($line(@_adninfo,%tmp),1,58) $gettok($line(@_adninfo,%tmp),2-,58) | .timer 1 0 _err %tmp } | else beep 1 } | unset %tmp*
on *:dialog:adndl:sclick:200: if ($window(@_adninfo)) window -c @_adninfo
on *:sockopen:addons: {
  if ($sockerr) { did -ra adndl 2 Unable to connect | did -e adndl 200 | sockclose addons | halt }
  sockwrite -n $sockname GET /spinoc/adns.html HTTP/1.1
  sockwrite -n $sockname Host: $host
  sockwrite $sockname $crlf 
}
on *:sockread:addons: {
  if ($sockerr) { did -ra adndl 2 Unable to connect | did -e adndl 200 | sockclose addons | halt }
  :1
  sockread -n %_adndl.read
  if (addons* iswm %_adndl.read) {
    %i = 2
    :2 | %tmp1 = $gettok(%_adndl.read,%i,58) | if (%tmp1) { did -a adndl 4 %tmp1 | inc %i | goto 2 } 
  }
  elseif (info* iswm %_adndl.read) { if ($window(@_adninfo) == $null) window -shl @_adninfo | aline @_adninfo $gettok(%_adndl.read,2-,58) }
  elseif (EOF == %_adndl.read) { _didsw -h adndl 2 9 | did -e adndl 200 | _didsw -v adndl 3-8 10 | unset %tmp* %i %_adndl.read | sockclose $sockname | halt }
  if ($sockbr) goto 1
}

alias _v.chk {
  tokenize 32 $1- | if (%_verch.on == on) { _err Socket in use. Please try later. | halt }
  %_verch.on = on
  window -apfd @Version.Check $dskw(300,100) @Version.Check | drawfill -r @Version.Check $rgb(128,128,128) $rgb(128,128,128) 1 1 | %i = 0
  :1 | if (%i < 128) { drawrect -rf @Version.Check $rgb(%i,%i,%i) 1 %i 0 9 100 | inc %i 10 | goto 1 }
  if ($1 == -j) %_verch.knd = SpR Jukebox | else %_verch.knd = SonsOfPunjab
  drawtext -or @Version.Check $rgb(255,255,255) arial 16 20 10 Checking %_verch.knd Version...
  sockopen ver-spr 206.132.185.167 80
}
on *:sockopen:ver-spr: {
  if ($sockerr) { drawtext -r @Version.Check $rgb(255,255,0) arial 17 20 60 Unable to connect...sorry. | unset %_verch.* %-c.ver | sockclose $sockname | halt }
  if (spr* iswm %_verch.knd) sockwrite -n $sockname GET /spinoc/sprver.html HTTP/1.1
  else sockwrite -n $sockname GET /spinoc/sparver.html HTTP/1.1
  sockwrite -n $sockname Host: $host
  sockwrite $sockname $crlf 
}
on *:sockread:ver-spr: {
  if ($sockerr) { drawtext -r @Version.Check $rgb(255,255,0) arial 17 20 60 Unable to connect...sorry. | unset %_verch.* %-c.ver | sockclose $sockname | halt }
  :1
  sockread %_verch.read
  if (%_verch.read == $null) %_verch.read = -
  if (sversion:* iswm %_verch.read) { 
    %_verch.tmp1 = $gettok(%_verch.read,2,58) 
    if (%_verch.tmp1) { 
      drawtext -r @Version.Check $rgb(255,255,0) arial 17 20 60 The latest version: v $+ %_verch.tmp1 | drawline -r @Version.Check $rgb(255,255,255) 1 200 90 200 50 290 50
      drawline -r @Version.Check $rgb(0,0,0) 1 201 90 290 90 290 51 | drawtext -r @Version.Check $rgb(255,255,0) arial 15 218 62 Download | if (spr* iswm %_verch.knd) %-c.dlfile = spr-jb $+ $remove(%_verch.tmp1,.) | else %-c.dlfile = SpaRRow.exe
      sockclose $sockname | unset %_verch.* | return
    } 
    else drawtext -r @Version.Check $rgb(255,255,0) arial 17 20 60 Cannot gather version info now. | unset %_verch.* | sockclose $sockname | halt 
  }
  if ($sockbr) goto 1
}
on *:sockclose:ver-spr:unset %_verch.* %-c.ver | drawtext -r @Version.Check $rgb(255,255,0) arial 17 20 60 The remote host closed connection. | sockclose $sockname
on *:close:@Version.Check:sockclose ver-spr | unset %_verch.* %-c.ver
menu @Version.Check {
  sclick {
    if (%-c.dlfile == $null) return
    if ($inrect($mouse.x,$mouse.y,200,50,90,40)) { 
      if (spr-jb* iswm %-c.dlfile) { %tmp1 = $?!="Are you a Korean user?" | window -c @Version.Check | if (%tmp1) %-c.dlfile = /spinoc/ $+ %-c.dlfile $+ k.zip | else %-c.dlfile = /spinoc/ $+ %-c.dlfile $+ .zip | _dlfile 206.132.185.167 %-c.dlfile $getdir }
      else { window -c @Version.Check | _dlfile 206.132.185.167 /spinoc/SpaRRow.exe $getdir }
    }
  }
}
alias _dlfile {
  tokenize 32 $1- | if ($numtok($2,47) != 0) %.tmp1 = $gettok($2,$numtok($2,47),47) | else %.tmp1 = $2 | %.tmp1 = $findfile($3,%.tmp1,1) 
  if (%.tmp1) { %.tmp2 = $$?!="The file already exists. Overwirte?" | if (%.tmp2) .remove %.tmp1 | else { unset %.tmp* | halt } }
  %.tmp1 = dlf- $+ $1 $+ $2
  if ($sock(%.tmp1).port) { .timer 1 0 _err The file is now being downloaded. Please wait. | halt }
  if (%.dlf.idx) inc %.dlf.idx | else %.dlf.idx = 1 | %.dlf.sock. [ $+ [ %.dlf.idx ] ] = dlf- $+ $1 $+ $2 | %.dlf.file. [ $+ [ %.dlf.idx ] ] = $2 | %.dlf.dir. [ $+ [ %.dlf.idx ] ] = $3
  window -apfd @ $+ %.dlf.sock. [ $+ [ %.dlf.idx ] ] $dskw(300,100) @download | drawfill -r @ $+ %.dlf.sock. [ $+ [ %.dlf.idx ] ] $rgb(128,128,128) $rgb(128,128,128) 1 1 | %.i = 0
  :1 | if (%.i < 128) { drawrect -rf @ $+ %.dlf.sock. [ $+ [ %.dlf.idx ] ] $rgb(%.i,%.i,%.i) 1 %.i 0 9 100 | inc %.i 10 | goto 1 }
  drawtext -or @ $+ %.dlf.sock. [ $+ [ %.dlf.idx ] ] $rgb(255,255,255) arial 16 20 10 Downloading
  sockopen %.dlf.sock. [ $+ [ %.dlf.idx ] ] $1 80
}
on *:sockopen:dlf-*: {
  %.i = 1 
  :1 | if (%.i < 100) { %.tmp1 = %.dlf.sock. [ $+ [ %.i ] ] | if (%.tmp1 != $sockname) { inc %.i | goto 1 } | else drawtext -r @ $+ $sockname $rgb(255,255,0) arial 14 30 30 Connected.. Don't close the window } | else { .timer 1 0 _err Error: cannot find a download info. | sockclose $sockname | halt }
  if ($sockerr) { drawtext -r @ $+ $sockname $rgb(255,255,0) arial 17 20 60 Error: Connection closed.. | _dlf.unset %.i | sockclose $sockname | halt }
  sockwrite -n $sockname GET %.dlf.file. [ $+ [ %.i ] ] HTTP/1.1
  sockwrite -n $sockname Host: $host
  sockwrite $sockname $crlf
}
on *:sockread:dlf-*: {
  %.i = 1
  :1 | if (%.i < 100) { %.tmp1 = %.dlf.sock. [ $+ [ %.i ] ] | if (%.tmp1 != $sockname) { inc %.i | goto 1 } | else drawtext -r @ $+ $sockname $rgb(255,255,0) arial 14 30 30 Connected.. Don't close the window } | else { .timer 1 0 _err Error: cannot find a download info. | sockclose $sockname | halt }
  if ($sockerr) { drawtext -r @ $+ $sockname $rgb(255,255,0) arial 17 20 60 Error: Connection closed.. | _dlf.unset %.i | sockclose $sockname | halt }
  :2 
  sockread %.tmp1
  if (*HTTP/1.1*404*Not*Found* iswm %.tmp1) { window -c @ $+ $sockname | .timer 1 0 _err Error: %.tmp1 | sockclose $sockname | _dlf.unset %^i | unset %.tmp* | halt }
  if (Content-Length:* iswm %.tmp1) { %.dlf.size. [ $+ [ %.i ] ] = $gettok(%.tmp1,2-,32) | drawrect -r @ $+ $sockname $rgb(255,255,255) 1 19 59 262 32 | %.dlf.red. [ $+ [ %.i ] ] = on }
  if (%.tmp1 = $null) sockrename $sockname r $+ $sockname
}
on *:sockread:rdlf-*: {
  %^i = 1
  :1 | if (%^i < 100) { %.tmp1 = r $+ %.dlf.sock. [ $+ [ %^i ] ] | if (%.tmp1 != $sockname) { inc %^i | goto 1 } | else drawtext -r @ $+ $_dr.lft($sockname,1) $rgb(255,255,0) arial 14 30 30 Connected.. Don't close the window } | else { .timer 1 0 _err Error: cannot find a download info. | sockclose $sockname | halt }
  if ($sockerr) { drawtext -r @ $+ $_dr.lft($sockname,1) $rgb(255,255,0) arial 17 20 60 Error: Connection closed.. | _dlf.unset %^i | sockclose $sockname | halt }
  if ([ %.dlf.red. [ $+ [ %^i ] ] ] != on) drawtext -r @ $+ $_dr.lft($sockname,1) $rgb(255,255,0) arial 14 30 60 Filesize unknown 
  :2 | sockread &dlftmp | %.tmp1 = [ %.dlf.file. [ $+ [ %^i ] ] ] | if ($numtok(%.tmp1,47) != 0) %.tmp1 = $gettok(%.tmp1,$numtok(%.tmp1,47),47)
  bwrite %.dlf.dir. [ $+ [ %.dlf.idx ] ] $+ %.tmp1 -1 &dlftmp 
  if ([ %.dlf.red. [ $+ [ %^i ] ] ] == on) { 
    %.tmp1 = %.dlf.size. [ $+ [ %^i ] ] | %.tmp1 = $round($calc(($sock($sockname).rcvd / %.tmp1) * 100),1) | if (%.tmp1 > 100) %.tmp1 = 100.0 
    drawrect -rf @ $+ $_dr.lft($sockname,1) $rgb(128,128,128) 1 230 0 50 50 | drawtext -r @ $+ $_dr.lft($sockname,1) $rgb(0,0,0) arial 14 240 10 %.tmp1 $+ $chr(37) 
    %.tmp1 = $round($calc((%.tmp1 / 100) * 260),0) | if (%.tmp1 > 260) %.tmp1 = 260 | drawrect -rf @ $+ $_dr.lft($sockname,1) $rgb(255,0,0) 1 20 60 %.tmp1 30
  }
  else { drawrect -rf @ $+ $_dr.lft($sockname,1) $rgb(128,128,128) 1 230 0 50 50 | drawtext -r @ $+ $_dr.lft($sockname,1) $rgb(0,0,0) arial 14 240 10 $round($calc($sock($sockname).rcvd / 1092),1) $+ kb }
  if ($sockbr) goto 2
}
on *:sockclose:rdlf-*: {
  %^i = 1
  :1 | 
  if (%^i < 100) { 
    %.tmp1 = r $+ %.dlf.sock. [ $+ [ %^i ] ] | if (%.tmp1 != $sockname) { inc %^i | goto 1 } | window -c @ $+ $_dr.lft($sockname,1) | %.tmp1 = %.dlf.file. [ $+ [ %^i ] ]
    if (*.adn iswm %.tmp1) {
      %i = 1 
      :2 | %.tmp2 = $did(adndl,4,%i) | if (%.tmp2) { %.tmp2 = /spinoc/ $+ %.tmp2 | if (%.tmp2 == %.tmp1) { did -a adndl 5 $did(adndl,4,%i) | did -d adndl 4 %i | did -e adndl 7 | dialog -o adndl | dialog -n adndl } | else { inc %i | goto 2 } }
    } 
    else { %.tmp1 = %.dlf.file. [ $+ [ %^i ] ] | %.tmp1 = $gettok(%.tmp1,$numtok(%.tmp1,47),47) | .timer 1 0 _err Download Complete! %.dlf.dir. [ $+ [ %^i ] ] $+ %.tmp1 } | _dlf.unset %^i | unset %.tmp* %^i %i %tmp*
  } 
}
on *:close:@dlf-*: {
  %^i = 1
  :1 | if (%^i < 100) { %.tmp1 = %.dlf.sock. [ $+ [ %^i ] ] | if (%.tmp1 != $_dr.lft($target,1)) { inc %^i | goto 1 } | _dlf.unset %^i }
  sockclose $_dr.lft($target,1) | sockclose r $+ $_dr.lft($target,1) 
}
alias _dlf.unset tokenize 32 $1- | [ unset %.dlf.sock. $+ [ $1 ] ] | [ unset %.dlf.red. $+ [ $1 ] ] | [ unset %.dlf.size. $+ [ $1 ] ] | [ unset %.dlf.file. $+ [ $1 ] ] | [ unset %.dlf.dir. $+ [ $1 ] ] 
on *:sockopen:wgchk<*: {
  if ($sockerr) { sockclose $sockname | halt }
  sockwrite $sockname $crlf
}
on *:sockread:wgchk<*: {
  if ($sockerr) { sockclose $sockname | halt }
  :1
  sockread %.tmp
  if ($sockbr == 0) { unset %.tmp | return }
  if (%.tmp == $null) %.tmp = -
  if (wingate isin %.tmp) {
    if ($window(@_wgchk)) { 
      %.tmp1 = * $+ $gettok($sockname,2,60) $+ * | %.tmp2 = $fline(@_wgchk,%.tmp1,1) 
      if (%.tmp2) { 
        %.tmp4 = $gettok($line(@_wgchk,%.tmp2),1,58) | %.tmpch = $gettok($line(@_wgchk,%.tmp2),3,58) | if ((%sw.wgban == on) && (%.tmpch)) { mode %.tmpch -o+b %.tmp4 *!*@ $+ $remove(%.tmp1,*) | kick %.tmpch %.tmp4 $replace(%msg.wingate,&nick&,%.tmp4) } 
        %.tmp3 = $gettok($sockname,4,60) | dline @_wgchk %.tmp2 | if ($window(@[s]wingate) == $null) { window -kln -t20,30 @[s]wingate $_dskw(500,200) @[s]wingate arial 12 | aline @[s]wingate NICK $+ $chr(9) $+ PORT $+ $chr(9) $+ ADDRESS } 
        aline -h @[s]wingate %.tmp4 $+ $chr(9) $+ %.tmp3 $+ $chr(9) $+ $remove(%.tmp1,*) | write $_wg.his $fulldate Nick: %.tmp4 Chan: %.tmpch HOST: $remove(%.tmp1,*) PORT: %.tmp3 | window -b @[s]wingate | secho  $+ $scw(Warning) $+ : Possible $sch(Wingate) Detected. Open the @[s]wingate window in task bar to see the scan result. | unset %.tmp*
      }
    }
    sockclose $sockname
  }
}
on *:sockclose:wgchk<*:sockclose $sockname
alias _wgcls if ($window(@_wgchk)) { %tmp1 = * $+ $gettok($1,1,60) $+ * | %tmp1 = $fline(@_wgchk,%tmp1,1) | if (%tmp1) dline @_wgchk %tmp1 } | sockclose wgchk< $+ $1 $+ <23 | sockclose wgchk< $+ $1 $+ <1080
menu @[s]wingate {
  k/b from channels: {
    if ($sline(@[s]wingate,0) == 0) { beep 1 | halt }
    %i = 1
    :1 | %tmp1 = $sline(@[s]wingate,%i).ln 
    if (%tmp1 == 1) { inc %i | goto 1 }
    elseif (%tmp1) { 
      %tmp1 = $gettok($line(@[s]wingate,%tmp1),1,9) 
      if ($comchan(%tmp1,0) > 0) {
        %ii = 1
        :2 | %tmp2 = $comchan(%tmp1,%ii) | if (%tmp2) { if ($me isop %tmp2) { mode %tmp2 -o+b %tmp1 $replace($address(%tmp1,2),*!*,*!~*) | kick %tmp2 %tmp1 $replace(%msg.wingate,&nick&,%tmp1) } | inc %ii | goto 2 }
      } 
      inc %i | goto 1 
    }
    unset %tmp* %i %ii
  }
  -
  view log:
}
